### Function

# EDataServer util_can_use_collection_as_credential_source

since: 3.28

#### Declaration [src]

    gboolean
    e_util_can_use_collection_as_credential_source (
      _ESource* collection_source,
      _ESource* child_source
    )

#### Description [src]

Checks whether the `collection_source` can be used as a credential source for the `child_source`. The relationship is not tested in the function. When the `collection_source` is `NULL`, then it simply returns `FALSE`.

Available since: 3.28

#### Parameters

`collection_source`

  Type: `_ESource*`

  A collection `ESource`, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`child_source`

  Type: `_ESource*`

  A children of `collection_source`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

Whether `collection_source` can be used as a credential source for `child_source`, that is, whether they share credentials.